Advanced search  

News:

cpg1.5.48 Security release - upgrade mandatory!
The Coppermine development team is releasing a security update for Coppermine in order to counter a recently discovered vulnerability. It is important that all users who run version cpg1.5.46 or older update to this latest version as soon as possible.
[more]

Pages: [1]   Go Down

Author Topic: versioncheck giving incorrect mandatory files.  (Read 3904 times)

0 Members and 1 Guest are viewing this topic.

Casper

  • VIP
  • Coppermine addict
  • ***
  • Country: 00
  • Offline Offline
  • Gender: Male
  • Posts: 5231
versioncheck giving incorrect mandatory files.
« on: October 28, 2004, 01:42:44 pm »

I noticed when doing a versioncheck after updating, that versioncheck is telling me the 2 Estonian language files are mandatory and missing. 
I checked versioncheck.php and found that that had estonian.php and finnish.php as mandatory.  I have changed this and committed, but when doing a versioncheck still get the result shown below.


Edit.  I'm an idiot, I changed the versions for 1.3 but not 1.4.  Doing now and will commit.
« Last Edit: November 05, 2004, 06:54:09 am by GauGau »
Logged
It has been a long time now since I did my little bit here, and have done no coding or any other such stuff since. I'm back to being a noob here

Casper

  • VIP
  • Coppermine addict
  • ***
  • Country: 00
  • Offline Offline
  • Gender: Male
  • Posts: 5231
Re: versioncheck giving incorrect mandatory files.
« Reply #1 on: October 28, 2004, 01:52:11 pm »

OK,

this works correctly now when the box 'try connecting to the online repository' is not checked, but not if it is.
I assume that's because this is just not had a chance to catch up yet.
Logged
It has been a long time now since I did my little bit here, and have done no coding or any other such stuff since. I'm back to being a noob here

Joachim Müller

  • Dev Team member
  • Coppermine addict
  • ****
  • Offline Offline
  • Gender: Male
  • Posts: 47843
  • aka "GauGau"
    • gaugau.de
Re: versioncheck giving incorrect mandatory files.
« Reply #2 on: October 29, 2004, 08:36:46 am »

Yes, there's no automatism - I have to update the repository file on the sf.net webspace accordingly with your fixes - it's all in the file  http://coppermine.sourceforge.net/repository.txt

Joachim
Logged
Pages: [1]   Go Up
 

Page created in 0.018 seconds with 19 queries.